var FinishLine = require("FinishLine");
cc.Class({
    extends:FinishLine,

    properties: {

    },
    onCollisionEnter: function (other)
    {
        this._super(other);
        if(other.node.name === 'PlayerCollisionLine')
        {
            var charactor = cc.find("Hero").getChildByName("Player").getComponent("Charactor");
            if (charactor != null) {
                charactor.idle();
                other.node.parent.parent.getComponent("PlayerState").enableTouch = false;
            }
        }
    },
});
